package org.jeecg.modules.dataVue.controller;


import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.dataVue.service.IAFocusjhService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/userFocusJh")
@Slf4j
public class UserFocusJhController {

    @Resource
    private IAFocusjhService service;

    /**
     * 根据主键修改个人关注井是否报警状态
     * @param id
     * @param isWarn
     * @return
     */
    @GetMapping("/updateAFocushJhIsWarn")
    public Result<?> updateAFocushJhIsWarn(@RequestParam("id") String id, @RequestParam("isWarn") String isWarn){
        service.updateAFocushJhIsWarn(id,isWarn);
        return Result.OK();
    };

}
