package org.jeecg.modules.dataVue.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.dataVue.entity.Mock;
import org.springframework.jdbc.core.JdbcTemplate;

import java.util.List;
import java.util.Map;

public interface IMasterService  extends IService<Mock> {
    JdbcTemplate getJdbc();

    List<Map<String, Object>> querySql(String sqlStr, String reserve);

    int querySqlCount(String sqlStr, String reserve);

    /**
     * 根据井号名称获得表代码
     * @param AJH
     * @return
     */
    String getTableCode(String AJH);

    String getTableCodeNew(String AJH);
}

