package org.jeecg.modules.dataVue.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.dataVue.entity.Jsra;
import org.jeecg.modules.dataVue.mapper.JsraMapper;
import org.jeecg.modules.dataVue.mapper.MockMapper;
import org.jeecg.modules.dataVue.service.IJsraService;
import org.jeecg.modules.dataVue.service.IServiceExtend;
import org.jeecg.modules.dataVue.service.IZjyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@DS("fzqkDataSource2021")
public class JsraServiceImpl extends ServiceImpl<JsraMapper, Jsra> implements IJsraService {
    @Resource
    private MockMapper mockMapper;
    @Autowired
    public JdbcTemplate jdbcTemplate;

    @Override
    public JdbcTemplate getJdbc() {
        return jdbcTemplate;
    }
}
