package org.jeecg.modules.newWarning.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 预警操作日志;
 *
 * @author : http://www.chiner.pro
 * @date : 2024-11-3
 */
@TableName("WARN_OPERATE_LOG")
@Data
public class WarnOperateLog {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 预警日主键
     */
    private String warnLogId;
    /**
     * 预警日志表名
     */
    private String warnTableName;
    /**
     * 预警类别
     */
    private String warnType;
    /**
     * 操作内容
     */
    private String content;
    /**
     * 操作人员
     */
    private String userName;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createTime;
}
