package org.jeecg.modules.newWarning.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 钻井工况计算日志表
 * @TableName WORKING_CONDITION_CALCULATION_LOG
 */
@TableName(value ="WORKING_CONDITION_CALCULATION_LOG")
@Data
public class WorkingConditionCalculationLog implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 井号
     */
    private String jh;

    /**
     * 是否正在计算
     */
    private String isCalculate;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 正在计算时间
     */
    private String calTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 类型0工况1预警
     */
    private String calculateType;

    /**
     * 是否清除缓存 1是0否
     */
    private String isDelRedis = "0";


}