package org.jeecg.modules.newWarning.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.PumpingPressureWarnLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【PUMPING_PRESSURE_WARN_LOG(泵压预警数据)】的数据库操作Mapper
* @createDate 2024-06-07 11:17:38
* @Entity org.jeecg.modules.newWarning.entity.PumpingPressureWarnLog
*/
public interface PumpingPressureWarnLogMapper extends BaseMapper<PumpingPressureWarnLog> {
    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(@Param("ew") Wrapper<WarnLogCountParams> wrapper);
}




