package org.jeecg.modules.newWarning.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.TorqueWarnLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【TORQUE_WARN_LOG(扭矩预警日志表)】的数据库操作Mapper
* @createDate 2024-06-18 10:01:04
* @Entity org.jeecg.modules.newWarning.entity.TorqueWarnLog
*/
public interface TorqueWarnLogMapper extends BaseMapper<TorqueWarnLog> {

    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(@Param("ew") Wrapper<WarnLogCountParams> wrapper);

}




