package org.jeecg.modules.newWarning.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.TotalPoolVolumeWarnLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【TOTAL_POOL_VOLUME_WARN_LOG(总池体积预警数据日志表)】的数据库操作Mapper
* @createDate 2024-06-06 09:08:33
* @Entity org.jeecg.modules.newWarning.entity.TotalPoolVolumeWarnLog
*/
public interface TotalPoolVolumeWarnLogMapper extends BaseMapper<TotalPoolVolumeWarnLog> {

    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(@Param("ew") Wrapper<WarnLogCountParams> wrapper);

}




