package org.jeecg.modules.newWarning.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.entity.WarnOperateLog;

/**
 * 预警操作日志;(WARN_OPERATE_LOG)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2024-11-3
 */
@Mapper
public interface WarnOperateLogMapper  extends BaseMapper<WarnOperateLog> {
    /**
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    IPage<WarnOperateLog> selectByPage(IPage<WarnOperateLog> page , @Param(Constants.WRAPPER) Wrapper<WarnOperateLog> wrapper);
}
