package org.jeecg.modules.newWarning.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.HookLoadWarnLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.newWarning.entity.NewWarnHistory;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author 费玉泉
* @description 针对表【HOOK_LOAD_WARN_LOG(钩载预警数据表)】的数据库操作Service
* @createDate 2024-05-30 09:23:17
*/
public interface HookLoadWarnLogService extends IService<HookLoadWarnLog> {

    NewWarnHistory getOneWarning(String startTime, String endTime, String jh );

    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(WarnLogCountParams params);
}
