package org.jeecg.modules.newWarning.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.PumpingPressureWarnLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【PUMPING_PRESSURE_WARN_LOG(泵压预警数据)】的数据库操作Service
* @createDate 2024-06-07 11:17:38
*/
public interface PumpingPressureWarnLogService extends IService<PumpingPressureWarnLog> {

    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(WarnLogCountParams params);
}
