package org.jeecg.modules.newWarning.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.TotalPoolVolumeWarnLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【TOTAL_POOL_VOLUME_WARN_LOG(总池体积预警数据日志表)】的数据库操作Service
* @createDate 2024-06-06 09:08:33
*/
public interface TotalPoolVolumeWarnLogService extends IService<TotalPoolVolumeWarnLog> {
    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(WarnLogCountParams params);
}
