package org.jeecg.modules.newsys.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.newsys.entity.SysUser;
import org.jeecg.modules.newsys.mapper.SysNewsUserMapper;
import org.jeecg.modules.newsys.service.SysNewsUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Zhao RenJi
 */
@Service
@DS("chartDataSource")
@Slf4j
public class SysNewsUserServiceImpl extends ServiceImpl<SysNewsUserMapper, SysUser> implements SysNewsUserService {

    @Autowired
    private SysNewsUserMapper sysUserMapper;
    @Override
    public Page<SysUser> selectListPage( QueryWrapper<SysUser> queryWrapper, Page<SysUser> page) {
        //redisUtil.del(tableName);
        return sysUserMapper.selectListPage(queryWrapper, page);
    }
}
