package org.jeecg.modules.warning.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("LTD")
public class Ltd implements Serializable {
  private static final long serialVersionUID = 1L;

  private String jh;
  private String tid;
  private String time;
  private String id;
  private double depth;
  private double vdepth;
  private double stat;
  private double lagtime;
  private double lagstrokes;
  private double lagdepth;
  private double bitdepth;
  private double bitoff;
  private double kellyin;
  private double hkh;
  private double hks;
  private double woh;
  private double wohCalc;
  private double floatWeight;
  private double rpm;
  private double ropInst;
  private double ropMavg;
  private double wob;
  private double torque;
  private double tdTorque;
  private double spp;
  private double whp;
  private double pump1;
  private double pump2;
  private double pump3;
  private double pumptotal;
  private double strokes1;
  private double strokes2;
  private double strokes3;
  private double strokestotal;
  private double vopInst;
  private double vopMavg;
  private double flowin;
  private double flowout;
  private double flowoutpercent;
  private double mwin;
  private double mwout;
  private double tempin;
  private double tempout;
  private double condin;
  private double condout;
  private double ecd;
  private double pit1;
  private double pit2;
  private double pit3;
  private double pit4;
  private double pit5;
  private double pit6;
  private double pit7;
  private double pit8;
  private double pit9;
  private double pit10;
  private double pit11;
  private double pit12;
  private double triptandvol;
  private double actpittotal;
  private double pittotal;
  private double gainlossvol;
  private double c1;
  private double c2;
  private double c3;
  private double ic4;
  private double nc4;
  private double ic5;
  private double nc5;
  private double ec5;
  private double ic6;
  private double nc6;
  private double tg;
  private double co2;
  private double h2;

  @TableField(exist = false)
  private String templateId;

  @TableField("h2s1")
  private double h2S1;
  @TableField("h2s2")
  private double h2S2;
  @TableField("h2s3")
  private double h2S3;
  @TableField("h2s4")
  private double h2S4;
  @TableField("h2s5")
  private double h2S5;
  @TableField("h2s6")
  private double h2S6;
  @TableField("h2s7")
  private double h2S7;
  @TableField("h2s8")
  private double h2S8;
  private double stringlen;
  private double curpipe;
  private double bitno;
  private double bitsize;
  private double bittype;
  private double bitrun;
  private double bittime;
  private double bitdrilltime;
  private double bitcost;
  private double totaldays;
  private double standsdone;
  private double standstogo;
  private double tripoverpull;
  private double dc;
  private double sigma;
  private double free95;
  private double free96;
  private double free97;
  private double free98;
  private double free99;


  //工况+动作
  private String operatingMode = null;
  private String motion = null;




}
