package org.jeecg.modules.warning.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.warning.entity.Ltd;
import org.jeecg.modules.warning.entity.Zjycs;
import org.jeecg.modules.warning.entity.ZjycsLtd;
import org.jeecg.modules.warning.mapper.ZjycsMapper;
import org.jeecg.modules.warning.service.IZjycsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
@DS("zjyDataSource")
public class ZjycsServiceImpl extends ServiceImpl<ZjycsMapper, Zjycs> implements IZjycsService {

    @Autowired
    private ZjycsMapper zjycsMapper;

    @Override
    public List<Zjycs> selectList(Map<String, Object> map) {
        return zjycsMapper.selectList(map);
    }

    @Override
    public List<ZjycsLtd> selectLtd(Map<String, Object> map) {
        return zjycsMapper.selectLtd(map);
    }

    @Override
    public List<Map<String, Object>> selectAllDate(Map<String, Object> map) {
        return zjycsMapper.selectAllDate(map);
    }
}
