package org.jeecg.modules.warningThreshold.controller;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.warningThreshold.params.YjRealTimeLogPageParams;
import org.jeecg.modules.warningThreshold.service.YjRealTimeLogService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 预警实时日志表;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-2
 */
@RestController
@RequestMapping("/warningThreshold/realTimeLog")
public class YjRealTimeLogController {

    @Resource
    private YjRealTimeLogService yjRealTimeLogService;

    @GetMapping("/page")
    public Result<?> page(YjRealTimeLogPageParams pageParams) {
        return Result.OK(yjRealTimeLogService.page(pageParams));
    }
}
