package org.jeecg.modules.dataVue.controller;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.dataVue.service.IAjhService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/wellInfo")
public class AjhController {
    @Resource
    private IAjhService ajhService;

    /**
     * 根据当前登录用户信息获取用户单位所有井号
     * @return
     */
    @GetMapping("/pageByUserDw")
    public Result<?> pageByUserDw() {
        ajhService.pageByUserDw();
        return Result.OK();
    }
}
