package org.jeecg.modules.dataVue.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.Map;

@Data
@TableName("b_warnhistory")
public class WarnHistory {
    public String source;
    public String catogary;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @TableField(value="requeststart")
    public Date requestStart;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @TableField(value="warntime")
    public Date warnTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    public Date jcrq;
    public String bjnr;
    public String clfs;
    public String sssj;
    public String dsjs;
    public String zjzh;
    public String jh;
    @TableField(value="servercost")
    public long serverCost;
    public String key;
}
