package org.jeecg.modules.newWarning.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 预警综合查询返回实体类
 */
@Data
public class WarnLogComprehensiveDto implements Serializable {

    /**
     * 预警数据主键
     */
    private String warnLogId;

    /**
     * 井号
     */
    private String jh;

    /**
     * 报警类被
     */
    private String yjlb;

    /**
     * 最新报警时间
     */
    private Date zxbjsj;

    /**
     * 时间区间内报警次数
     */
    private String lsbjcs;

    /**
     * 最新预警描述
     */
    private String yjms;

    /**
     * 预警状态
     */
    private String status;
}
