package org.jeecg.modules.newWarning.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@TableName("work_condition")
public class WorkCondition implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 井号
     */
    @TableField("jh")
    private String jh;
    /**
     * 钻头监测阈值
     */
    @TableField("bitdepth")
    private Float bitdepth;

    /**
     * 钻杆重量
     */
    @TableField("column_weight")
    private Float columnWeight;

    /**
     * 报警阈值
     */
    @TableField("warn_value")
    private Float warnValue;

    /**
     * 大钩变化
     */
    @TableField("hkh_rang")
    private Float hkhRang;

    /**
     *
     */
    @TableField("loop_drilling_pump")
    private Float loopDrillingPump;

    @TableField("loop_drilling_spp")
    private Float loopDrillingSpp;

    /**
     * 扭矩上一点井深
     */
    @TableField("torquepreviousjs")
    private Float torquepreviousjs;

    /**
     * 波动取值时间范围
     */
    @TableField("torguetimes")
    private Integer torguetimes;

    /**
     * 扭矩变化量阈值
     */
    @TableField("torgue_variation_threshold")
    private Float torgueVariationThreshold;

    /**
     * 扭矩波动阈值
     */
    @TableField("torgue_wave_threshold")
    private Float torgueWaveThreshold;

    /**
     * 井漏报警阈值
     */
    @TableField("warn_pittotal")
    private  Float warnPittotal;
}
