package org.jeecg.modules.newWarning.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.dto.WarnLogComprehensiveDto;
import org.jeecg.modules.newWarning.dto.WarnLogStatisticsDto;
import org.jeecg.modules.newWarning.entity.TorqueWarnLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.newWarning.params.WarnLogCountParams;

import java.util.HashMap;
import java.util.List;

/**
* @author 费玉泉
* @description 针对表【TORQUE_WARN_LOG(扭矩预警日志表)】的数据库操作Service
* @createDate 2024-06-18 10:01:04
*/
public interface TorqueWarnLogService extends IService<TorqueWarnLog> {

    List<WarnLogComprehensiveDto> getWarnLogList(@Param("params") HashMap<String, Object> params);

    List<WarnLogStatisticsDto> getWarnLogCount(WarnLogCountParams params);
}
