package org.jeecg.modules.newWarning.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.newWarning.entity.NewWarnHistory;
import org.jeecg.modules.newWarning.mapper.NewWarnHistoryMapper;
import org.jeecg.modules.newWarning.service.NewWarnHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 报警历史数据表 服务实现类
 * </p>
 *
 * @author zrj
 * @since 2022-12-09
 */
@Service
@DS("chartDataSource")
public class NewWarnHistoryServiceImpl extends ServiceImpl<NewWarnHistoryMapper, NewWarnHistory> implements NewWarnHistoryService {
    @Autowired
    private NewWarnHistoryMapper mapper;

    @Override
    public Page<NewWarnHistory> groupSelct(QueryWrapper<NewWarnHistory> wrapper, Page<NewWarnHistory> page){
       return mapper.groupSelct(wrapper,page);
    }

    @Override
    public List<String> groupData(){
        return mapper.groupData();
    };

    @Override
    public NewWarnHistory selectOneOrcale(QueryWrapper<NewWarnHistory> wrapper){
        return mapper.selectOneOrcale(wrapper);
    };
}
