package org.jeecg.modules.newsys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.newsys.entity.SysUser;

@Mapper
public interface SysNewsUserMapper extends BaseMapper<SysUser> {

    @Select("select * from sys_user ${ew.customSqlSegment}")
    Page<SysUser> selectListPage(@Param("ew") QueryWrapper<SysUser> queryWrapper, Page<SysUser> page);

}
