package org.jeecg.modules.warningThreshold.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import oracle.sql.DATE;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 预警实时日志表;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-2
 */
@TableName("yj_real_time_log")
@Data
public class YjRealTimeLog implements Serializable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 状态
     */
    private String status;
    /**
     * 最近采集时间
     */
    private Date realTime;
    /**
     * 创建时间
     */
    private Date createTime;

}
