package jtznyj.engineer.service.dataDiagnosticService.models;

import lombok.Data;

@Data
public class DoorList {
    /**
     * 前置条件区间最低值
     */
    public double preconditionMin =0;
    /**
     * 前置条件区间最高值
     */
    public double preconditionMax =0;
    /**
     * 判断规则最高值
     */
    public double ruleMax =0;
    /**
     * 判断规则最低值
     */
    public double ruleMin =0;
    /**
     * 是否开启绝对增幅
     */
    public Boolean isAmplification =false;
    /**
     * 增幅数值
     */
    public double amplification =0;
    /**
     * 是否开启百分比增幅
     */
    public Boolean isPercentage =false;
    /**
     * 百分比增幅数值
     */
    public double percentage =0;

}
